Arch Светопрозрачный фасад

From FreeCAD Documentation
Revision as of 10:37, 10 May 2020 by Baritone (talk | contribs) (Created page with "==Описание==")

Arch CurtainWall

Системное название
Arch CurtainWall
Расположение в меню
Arch → Curtain Wall
Верстаки
Arch
Быстрые клавиши
C W
Представлено в версии
0.19
См. также
Arch Wall, Arch Grid

Описание

This tool creates a curtain wall by subdividing a base face into quadrangular faces, then creating vertical mullion on the vertical edges, horizontal mullions on the horizontal edges, and filling the spaces between mullions with panels.

Curtain Walls can be created from any type of existing object, in which case all the faces of the object will be subdivided. It works therefore best if used with an object that has only one face. Typically, you would first create a face, preferably bound by exactly 4 edges, that represents the area you want to fill with a curtain wall, then apply the tool.

Faces that have double curvature, or faces with more than 4 edges will work too, but the result is less predictable.

Faces will be divided in quadrangular facets. If the 4 points of the facet are coplanar, a square facet is created. If not, it is divided into two triangles and a diagonal mullion is added.

In case you need a non-regular subdivision, it is also possible to build your own subdivided object, for example using Arch Grid, and set the vertical and horizontal subdivisions of the curtain wall to 1.

You can also use the curtain wall tool without any selected object, in which case you will be able to draw a baseline, which will the be extruded vertically to form the face on which the curtain wall will be built.

Usage

Drawing a curtain wall from scratch

  1. Make sure nothing is selected
  2. Press the Arch CurtainWall button, or press C then W keys
  3. Click a first point on the 3D view, or type a coordinate
  4. Click a second point on the 3D view, or type a coordinate
  5. Adjust needed properties

Creating a curtain wall from a selected object

  1. Select one or more base geometry objects (Draft object, sketch, etc)
  2. Press the Arch CurtainWall button, or press the C then W keys
  3. Adjust needed properties

Options

  • Curtain walls share the common properties and behaviours of all Arch Components
  • Curtain wall mullions can be made from an automatic square profile (set their Mullion Size properties) or from a custom profile (set their Mullion Profile property). The mullions can be centered over each edge, or placed relatively to the (0,0,0) point by turning off the Center Profile property. For example, if you want a profile to be placed slightly behind the panels, you would draw that profile slightly below the (0,0,0) origin point
  • Curtain walls support Multi-materials. Inside the multi-material, the Frame layer will be used for the mullions, and the Glass panel layer for panels, or Solid panel if no Glass panel layer exists in the multi-material.

Properties

Curtain wall objects inherit the properties of Arch Components objects, and also have the following extra properties:

  • ДанныеVertical Mullion Number:The number of vertical mullions
  • ДанныеVertical Mullion Alignment: If the profile of the vertical mullions get aligned with the surface or not
  • ДанныеVertical Sections: The number of vertical sections of this curtain wall
  • ДанныеVertical Mullion Size: The size of the vertical mullions, if no profile is used
  • ДанныеVertical Mullion Profile: A profile for vertical mullions (disables vertical mullion size)
  • ДанныеHorizontal Mullion Number: The number of horizontal mullions
  • ДанныеHorizontal Mullion Alignment: If the profile of the horizontal mullions gets aligned with the surface or not
  • ДанныеHorizontal Sections: The number of horizontal sections of this curtain wall
  • ДанныеHorizontal Mullion Size: The size of the horizontal mullions, if no profile is used
  • ДанныеHorizontal Mullion Profile: A profile for horizontal mullions (disables horizontal mullion size)
  • ДанныеDiagonal Mullion Number: The number of diagonal mullions
  • ДанныеDiagonal Mullion Size: The size of the diagonal mullions, if any, if no profile is used
  • ДанныеDiagonal Mullion Profile: A profile for diagonal mullions, if any (disables horizontal mullion size)
  • ДанныеPanel Number: The number of panels
  • ДанныеPanel Thickness: The thickness of the panels
  • ДанныеSwap Horizontal Vertical: Swaps horizontal and vertical lines
  • ДанныеRefine: Perform subtractions between components so none overlap
  • ДанныеCenter Profiles: Centers the profile over the edges or not
  • ДанныеVertical Direction: The vertical direction reference to be used by this object to deduce vertical/horizontal directions. Keep it close to the actual vertical direction of your curtain wall

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Curtain wall tool can be used in macros and from the Python console by using the following function:

MyCurtainWall = makeCurtainWall(baseobj)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseface = Free.ActiveDocument.addObject('Part::Extrusion','Extrusion')
baseface.Base = baseline
baseface.DirMode = "Normal"
baseface.LengthFwd = 2000
curtainwall = Arch.makeCurtainWall(baseface)
curtainWall.VerticalSections = 6
FreeCAD.ActiveDocument.recompute()